##############################################################################
# Copyright (c) 2005-2015 Real-Time Innovations, Inc. All rights reserved.
# Permission to modify and use for internal purposes granted.
# This software is provided "as is", without warranty, express or implied.
##############################################################################
from __future__ import print_function
from sys import path as sysPath
from os import path as osPath
from time import sleep
filepath = osPath.dirname(osPath.realpath(__file__))
sysPath.append(filepath + "/../../")
import rticonnextdds_connector as rti


connector = rti.Connector("MyParticipantLibrary::Zero",
                          filepath + "/helloIDL_config.xml")
inputDDS = connector.getInput("MySubscriber::MyHelloIDL")

for i in range(1, 500):
    inputDDS.take()
    numOfSamples = inputDDS.samples.getLength()
    for j in range(1, numOfSamples+1):
        if inputDDS.infos.isValid(j):
            sample = inputDDS.samples.getDictionary(j)
            toPrint = "Received:\n \tsampleId: " + repr(sample['sampleId'])
            toPrint += "\n\tprefix: " + sample['prefix']
            print(toPrint)
    sleep(2)
